! Calculeaza:
! Functii: f(u); g(u,u'); p(t);
! Jacobieni: jf = df/du; jg = dg/du; jg1 =dg/du1;
! Derivata: dp;
!
! Pt. ec. liniara: ngl =1.

subroutine fgp_j(t, XX, V)
use work

implicit real(8) (a-h, o-z)
real(8) xx(ngl), v(ngl)

!real(8) k

zeta =e

omega =pi2
k =pi2*pi2
p0 =k
c =2*zeta*omega
omp =0.8*omega

x =XX(1)

! f(u):
f(1) =k*x


! Jacobianul lui f:
jf(1,1) =k

! g(u,u'):
x1 =V(1);
g = c*x1

! Jacobianul Dg/Du:
jg =0.

! Jacobianul Dg/Du':
jg1 =c


! p(t):
p(1) = p0*dsin(omp*t)

! P derivat:
dp(1) = p0*omp*dcos(omp*t)

END subroutine FGP_J
